with Names;

package ModeMgr is

   use Names;

   Mode : Mode_T := Off;

   type Transition_T is record

      FDIR_Request : Target_Mode_T;

      Target : Target_Mode_T;
      Done   : Boolean;

      Step  : Natural;
      Timer : Natural;
      Timeout_Limit : Natural;
      Error : Error_ID_T;

      Standby_Entered_Once : Boolean;

      Emergency_Reboot_Requested : Boolean;

   end record;


   Trans : Transition_T := (
      --
      FDIR_Request => None,
      --
      Target => None,
      Done   => False,
      Step   => 0,
      Timer  => 0,
      Timeout_Limit => 300,
      Error  => None,
      --
      Standby_Entered_Once => False,
      Emergency_Reboot_Requested => False );


   procedure Set_FDIR_Request (Target_Mode : Target_Mode_T);

   procedure Separation_StartCheck;

   procedure Main;

end ModeMgr;
